Bug 474734 - Blurriness of Latin letter R (U+0052) in Liberation Regular
Blurriness of Latin letter R (U+0052) in Liberation Regular
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: 485746
  Show dependency treegraph
 
Reported: 2008-12-04 20:23 EST by san
Modified: 2009-07-06 00:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-06 00:31:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case (1.51 KB, text/html)
2008-12-04 20:23 EST, san
no flags Details
test case screeenshot (62.14 KB, image/png)
2008-12-04 20:24 EST, san
no flags Details
web sshot (139.94 KB, image/png)
2008-12-04 20:27 EST, san
no flags Details
"R" letter (32 bytes, text/plain)
2008-12-08 16:39 EST, David Hlacik
no flags Details
antialias use Grayscale option in Ubuntu (421.55 KB, image/png)
2009-01-16 07:06 EST, san
no flags Details
antialias use Subpixel option in Ubuntu (421.77 KB, image/png)
2009-01-16 07:08 EST, san
no flags Details
waterfall shows R is displayed nicely (186.71 KB, image/png)
2009-01-21 00:19 EST, Caius Chance
no flags Details
oowriter shows R is displayed nicely 6px-18px (12.81 KB, image/png)
2009-01-21 00:21 EST, Caius Chance
no flags Details

  None (edit)
Description san 2008-12-04 20:23:35 EST
Created attachment 325767 [details]
test case

Package: ttf-liberation
Version: HEAD (1.0.04.93)
Severity: normal

the character R (U+0052, Latin Capital LETTER R) appears ugly when using Liberation Sans in small pixelsize.

fork the test case from Holger Levsen in  Bug 473481,  you can see this bug also exists in Liberation Sans Italic, Liberation Serif, Liberation Serif Italic.
Comment 1 san 2008-12-04 20:24:41 EST
Created attachment 325768 [details]
test case screeenshot
Comment 2 san 2008-12-04 20:27:21 EST
Created attachment 325770 [details]
web sshot 

hightlight "R" in web page screenshot
Comment 3 David Hlacik 2008-12-08 16:39:51 EST
Created attachment 326199 [details]
"R" letter

Same when using Subpixel smoothing and Bytecode interpreter
Comment 4 Caius Chance 2008-12-08 21:00:40 EST
I have checked and the hinting tables (hinting instructions, fpgm, prep, maxp, cvt) are all existing in there.
Comment 5 Caius Chance 2009-01-12 19:41:55 EST
Have you test on non Firefox (or similar like epiphany)?

Firefox has pango. Also, please turn off anti-aliasing before testing.

I could only fix hinting but not how pango operates.
Comment 6 Caius Chance 2009-01-12 19:56:07 EST
Hi, could I ask which part of the glyph you feel is ugly? Personally I feel 'R' looks similar as other characters.
Comment 7 san 2009-01-14 02:02:07 EST
(In reply to comment #6)
> Hi, could I ask which part of the glyph you feel is ugly? Personally I feel 'R'
> looks similar as other characters.

please take a look for web sshot I committed (https://bugzilla.redhat.com/attachment.cgi?id=325770) in which

Letter "R" is marked with red color. the last stroke of "R" is gray not the same black as other strokes.

I enable slight hinting for Liberation Sans.
Comment 8 Caius Chance 2009-01-15 19:06:25 EST
(In reply to comment #7)
> please take a look for web sshot I committed
> (https://bugzilla.redhat.com/attachment.cgi?id=325770) in which
> 
> Letter "R" is marked with red color. the last stroke of "R" is gray not the
> same black as other strokes.

Could you kindly screenshot the R in non-Pango application? (such as gedit)


> I enable slight hinting for Liberation Sans.

Would you mind re-confirm in 'gnome-appearance-properties' which anti-aliasing is *off* please?
Comment 9 san 2009-01-16 07:06:35 EST
Created attachment 329196 [details]
antialias use Grayscale option in Ubuntu
Comment 10 san 2009-01-16 07:08:03 EST
Created attachment 329197 [details]
antialias use Subpixel option in Ubuntu
Comment 11 san 2009-01-16 07:11:59 EST
(In reply to comment #8)
> (In reply to comment #7)
> > please take a look for web sshot I committed
> > (https://bugzilla.redhat.com/attachment.cgi?id=325770) in which
> > 
> > Letter "R" is marked with red color. the last stroke of "R" is gray not the
> > same black as other strokes.
> 
> Could you kindly screenshot the R in non-Pango application? (such as gedit)
> 
> 
> > I enable slight hinting for Liberation Sans.
> 
> Would you mind re-confirm in 'gnome-appearance-properties' which anti-aliasing
> is *off* please?

refer to comment 9 and 10. it seems antialias with subpixel enabled cannot get  blurriness.
Comment 12 Caius Chance 2009-01-21 00:19:47 EST
Created attachment 329544 [details]
waterfall shows R is displayed nicely
Comment 13 Caius Chance 2009-01-21 00:21:16 EST
Created attachment 329546 [details]
oowriter shows R is displayed nicely 6px-18px
Comment 14 Bug Zapper 2009-06-09 06:08:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Caius Chance 2009-06-30 22:50:04 EDT
Zap this bug. Please reopen if bug persists after testing on latest version.

Note You need to log in before you can comment on or make changes to this bug.